
%macro start;
data _null_;
window STARTER color=GRAY
#5 @34 "CuDAL"  C=BLUE
#7 @10  "CONTENT UNIFORMITY AND DISSOLUTION ACCEPTANCE LIMITS" C=BLUE
#12 @24 "WRITTEN BY JAMES BERGUM" C=BLUE
#13 @25 "VERSION 1, REVISION 0" C=BLUE
#16 @24  "PRESS ENTER TO CONTINUE" C= WHITE;
DISPLAY STARTER bell;
dm starter '';
stop;
run;
%mend start;
%start
%macro win;
data _null_;
window MAIN color=GREY
#5 @5 "INDICATE TEST(S) AND SAMPLING PLAN(S) DESIRED (Y OR N)" C=BLUE
#8 @5  "CONTENT UNIFORMITY"  C=BLUE
#10 @10 "SAMPLING PLAN 1    (1/LOCATION) = " C= WHITE A_CUS1 $1.
#11 @10 "SAMPLING PLAN 2 (GT 1/LOCATION) = " C= WHITE A_CUS2 $1.
#14 @5  "DISSOLUTION"  C=BLUE
#16 @10 "SAMPLING PLAN 1    (1/LOCATION) = " C=WHITE A_DIS1 $1.
#17 @10 "SAMPLING PLAN 2 (GT 1/LOCATION) = " C=WHITE A_DIS2 $1.;

Window ANSWIN Color=RED
   COLUMNS=50 ICOLUMN=10 ROWS=10 IROW=5
#1 "REQUEST REQUIRES A RESPONSE OF: Y OR N" C=YELLOW
#3 "PRESS ENTER TO CONTINUE" C=YELLOW;

A_CUS1 = 'Y';
A_CUS2 = 'N';
A_DIS1 = 'N';
A_DIS2 = 'N';
 MAIN:
DISPLAY MAIN bell;
IF A_CUS1 NE 'Y' AND A_CUS1 NE 'N' AND A_CUS1 NE 'y' AND A_CUS1 NE 'n'
THEN DO; DISPLAY ANSWIN BELL;
GOTO MAIN;
END;
IF A_CUS2 NE 'Y' AND A_CUS2 NE 'N' AND A_CUS2 NE 'y' AND A_CUS2 NE 'n'
THEN DO; DISPLAY ANSWIN BELL;
GOTO MAIN;
END;
IF A_DIS1 NE 'Y' AND A_DIS1 NE 'N' AND A_DIS1 NE 'y' AND A_DIS1 NE 'n'
THEN DO; DISPLAY ANSWIN BELL;
GOTO MAIN;
END;
IF A_DIS2 NE 'Y' AND A_DIS2 NE 'N' AND A_DIS2 NE 'y' AND A_DIS2 NE 'n'
THEN DO; DISPLAY ANSWIN BELL;
GOTO MAIN;
END;
CALL SYMPUT("A_CUS1",PUT(UPCASE(A_CUS1),$1.));
CALL SYMPUT("A_CUS2",PUT(UPCASE(A_CUS2),$1.));
CALL SYMPUT("A_DIS1",PUT(UPCASE(A_DIS1),$1.));
CALL SYMPUT("A_DIS2",PUT(UPCASE(A_DIS2),$1.));
STOP;
RUN;
%MEND WIN;

%MACRO AGAIN;
data _null_;
window GOBACK color=GRAY
#5 @24 "GO BACK TO MAIN MENU? (Y OR N) = "  C=BLUE  A_MAIN $1.
#16 @24  "PRESS ENTER TO CONTINUE" C=WHITE;

Window ANSBACK Color=RED
   COLUMNS=50 ICOLUMN=10 ROWS=10 IROW=5
#1 "REQUEST REQUIRES A RESPONSE OF: Y OR N" C=YELLOW
#3 "PRESS ENTER TO CONTINUE" C=YELLOW;
A_MAIN = 'N';
 MAINBACK:
DISPLAY GOBACK bell;
IF A_MAIN NE 'Y' AND A_MAIN NE 'N' AND A_MAIN NE 'y' AND A_MAIN NE 'n'
THEN DO; DISPLAY ANSBACK BELL;
GOTO MAINBACK;
END;
CALL SYMPUT("A_MAIN",PUT(UPCASE(A_MAIN),$1.));
STOP;
RUN;
%MEND AGAIN;
%MACRO ANALYZE;
 %OVER:
   %WIN;
%IF %UPCASE(&A_CUS1)=Y %THEN %DO;
     %include &CU1;
    %END;
%IF %UPCASE(&A_CUS2)=Y %THEN %DO;
    %include &CU2;
    %END;
%IF %UPCASE(&A_DIS1)=Y %THEN %DO;
    %include &DI1;
    %END;
%IF %UPCASE(&A_DIS2)=Y %THEN %DO;
      %include &DI2;
    %END;
    %AGAIN
%IF %UPCASE(&A_MAIN)=Y %THEN %GOTO OVER;
%MEND ANALYZE;
%ANALYZE
run;
